import { $ } from '../Class/$';
import { System } from '../system';
import { FR } from '../types/interface/FR';
export declare function waitFileReaderResult<T extends string | ArrayBuffer>(reader: FileReader): Promise<T>;
export declare function readBlobAsDataUrl(system: System, blob: Blob): Promise<string>;
export declare function readBlobAsDataUrl_(reader: FileReader, blob: Blob | File): Promise<string>;
export declare function readBlobAsArrayBuffer_(reader: FileReader, blob: Blob | File): Promise<ArrayBuffer>;
export declare function readBlobAsText_(reader: FileReader, blob: Blob | File): Promise<string>;
export declare function wrapFileReader(reader: FileReader, system: System): FR & $;
